{% extends "operators/base.html" %}{% load i18n static %}
{% block title %}{% if form.driver.value %}{% trans "Editing driver shift" %}{% else %}{% trans "Add driver shift" %}{% endif %}{% endblock %}
{% block extrahead %}
<link href="{% static 'select2/css/select2.min.css' %}" rel="stylesheet" />
<script src="{% static 'select2/js/select2.min.js' %}"></script>
{% endblock %}
{% block content %}

<div class="page-header mb-4">
    <h1>{% if form.driver.value %}{% trans "Editing driver shift" %}{% else %}{% trans "Add driver shift" %}{% endif %}</h1>
</div>

<div class="row">
    <div class="col-lg-12">
        {% if form.errors %}
        <div class="alert alert-danger alert-dismissible fade show mt-3" role="alert">
            <strong>{% trans 'Errors!' %}</strong> {% trans 'Please check the following fields.' %}
            <ul class="list-group list-group-flush mt-2">
            {% for field, errors in form.errors.items %}
                {% for error in errors %}
                <li class="list-group-item bg-transparent"><strong>&bull;</strong>&nbsp;{{ error }}</li>
                {% endfor %}
            {% endfor %}
            </ul>
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
        {% endif %}
        <form action="" method="post" id="id_form">
            {% csrf_token %}
            {{ form.as_p }}
            <button role="button" type="submit" class="btn btn-lg btn-success float-end">
                <i class="fas fa-save"></i> &nbsp;
                {% trans "Save" %}
            </button>
        </form>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function() {
        $("#id_driver").select2();
        $("#id_vehicle").select2();

        $('#id_time_start').val("{{ form.time_start.value.isoformat }}");
        $('#id_time_end').val("{{ form.time_end.value.isoformat }}");
    });
</script>

{% endblock %}